[package]
name = "tree-sitter-sequel"
description = "Tree-sitter Grammar for SQL"
version = "0.3.5"
authors = ["derek stride"]
license = "MIT"
readme = "README.md"
keywords = ["incremental", "parsing", "tree-sitter", "sql"]
categories = ["parsing", "text-editors"]
repository = "git+https://github.com/derekstride/tree-sitter-sql.git"
edition = "2021"
autoexamples = false

build = "bindings/rust/build.rs"
include = ["bindings/rust/*", "grammar.js", "queries/*", "src/*"]

[lib]
path = "bindings/rust/lib.rs"

[dependencies]
tree-sitter-language = "0.1"

[build-dependencies]
cc = "~1.2.1"

[dev-dependencies]
tree-sitter = "0.24.3"
